VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} frmEditComment 
   Caption         =   "Edit Comment"
   ClientHeight    =   5070
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7935
   OleObjectBlob   =   "Excel_edit_comment_GUI.frx":0000
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "frmEditComment"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub butCancel_Click()
On Error GoTo ErrorExit

Unload frmEditComment

Exit Sub
ErrorExit:
  MsgBox Error(Err), vbInformation, "Fehlermeldung (" & LTrim(Str(Err)) & ")"
  Resume Next

End Sub

Private Sub butClose_Click()
On Error GoTo ErrorExit
Dim tmpText As String

tmpText = Me.txtEditTxt
 
If Len(tmpText) = 0 Then
  ActiveCell.Comment.Delete
Else
  ProtectStatus = Sheets(ActiveSheet.Name).ProtectContents
  ActiveSheet.Unprotect
  ActiveCell.Comment.Text Text:=tmpText
  If ProtectStatus = True Then
    ActiveSheet.Protect DrawingObjects:=True, Contents:=True, Scenarios:=True
  End If
End If

Unload frmEditComment

Exit Sub
ErrorExit:
  MsgBox Error(Err), vbInformation, "Fehlermeldung (" & LTrim(Str(Err)) & ")"
  Resume Next

End Sub

Private Sub UserForm_Activate()
On Error GoTo ErrorExit
Dim tmpComment As Comment
Dim ProtectStatus As Boolean

If ActiveCell.Comment Is Nothing Then
  ProtectStatus = Sheets(ActiveSheet.Name).ProtectContents
  ActiveSheet.Unprotect
  ActiveCell.AddComment Text:=""
  If ProtectStatus = True Then
    ActiveSheet.Protect DrawingObjects:=True, Contents:=True, Scenarios:=True
  End If
End If
Me.txtEditTxt = ActiveCell.Comment.Text
Me.Caption = Me.Caption & " " & ActiveCell.Address

Exit Sub
ErrorExit:
  MsgBox Error(Err), vbInformation, "Fehlermeldung (" & LTrim(Str(Err)) & ")"
  Resume Next
End Sub
 
